be.fgov.ehealth.rn.baselegaldata.v1

## Class AddressWithStatusAndSourceType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAddressType
  - - be.fgov.ehealth.rn.baselegaldata.v1.AddressWithStatusAndSourceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:16:48+01:00",
                 comments="JAXB RI v2.3.7")
      public class AddressWithStatusAndSourceType
      extends AbstractOptionalAddressType
      implements Serializable

  Java class for AddressWithStatusAndSourceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AddressWithStatusAndSourceType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalAddressType">
             <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
             <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressWithStatusAndSourceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSource()` Gets the value of the source property.
    `String` | `getStatus()` Gets the value of the status property.
    `void` | `setSource(String value)` Sets the value of the source property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAddressType

      `getDiplomaticAddress, getDiplomaticPost, getPostAddress, getReferenceAddress, getResidentialAddress, getTemporaryAddress, setDiplomaticAddress, setDiplomaticPost, setPostAddress, setReferenceAddress, setResidentialAddress, setTemporaryAddress`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressWithStatusAndSourceType

          public AddressWithStatusAndSourceType()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PHYSIOTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.